@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  ITLINE_PRO startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and ITLINE_PRO_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\ITLINE_PRO-1.6.13.jar;%APP_HOME%\lib\LicenceUtil.jar;%APP_HOME%\lib\jackson-dataformat-xml-2.8.6.jar;%APP_HOME%\lib\mega-network-layer-105.jar;%APP_HOME%\lib\gson-2.7.jar;%APP_HOME%\lib\javax.mail-1.5.5.jar;%APP_HOME%\lib\json-20160212.jar;%APP_HOME%\lib\joda-time-2.9.jar;%APP_HOME%\lib\guava-18.0.jar;%APP_HOME%\lib\commons-net-2.0.jar;%APP_HOME%\lib\juniversalchardet-2.0.0.jar;%APP_HOME%\lib\quartz-2.2.3.jar;%APP_HOME%\lib\kotlin-reflect-1.2.40.jar;%APP_HOME%\lib\spring-boot-starter-thymeleaf-1.5.8.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-web-1.5.8.RELEASE.jar;%APP_HOME%\lib\slf4j-jdk14-1.7.21.jar;%APP_HOME%\lib\spring-jdbc-3.1.0.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-security-1.5.8.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-1.5.8.RELEASE.jar;%APP_HOME%\lib\spring-webmvc-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-security-web-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-web-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-security-config-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-boot-autoconfigure-1.5.8.RELEASE.jar;%APP_HOME%\lib\spring-boot-1.5.8.RELEASE.jar;%APP_HOME%\lib\spring-security-core-4.2.3.RELEASE.jar;%APP_HOME%\lib\spring-context-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-aop-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-tx-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-beans-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-expression-4.3.12.RELEASE.jar;%APP_HOME%\lib\spring-core-4.3.12.RELEASE.jar;%APP_HOME%\lib\commons-logging-1.1.1.jar;%APP_HOME%\lib\h2-1.4.192.jar;%APP_HOME%\lib\thymeleaf-extras-springsecurity4-2.1.2.RELEASE.jar;%APP_HOME%\lib\jsoup-1.10.2.jar;%APP_HOME%\lib\jackson-module-jaxb-annotations-2.8.10.jar;%APP_HOME%\lib\jackson-databind-2.8.10.jar;%APP_HOME%\lib\jackson-core-2.8.10.jar;%APP_HOME%\lib\jackson-annotations-2.8.0.jar;%APP_HOME%\lib\woodstox-core-5.0.3.jar;%APP_HOME%\lib\stax2-api-3.1.4.jar;%APP_HOME%\lib\thymeleaf-spring4-2.1.5.RELEASE.jar;%APP_HOME%\lib\thymeleaf-layout-dialect-1.4.0.jar;%APP_HOME%\lib\thymeleaf-2.1.5.RELEASE.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\netty-all-4.1.6.Final.jar;%APP_HOME%\lib\activation-1.1.jar;%APP_HOME%\lib\c3p0-0.9.1.1.jar;%APP_HOME%\lib\kotlin-stdlib-1.2.40.jar;%APP_HOME%\lib\spring-boot-starter-tomcat-1.5.8.RELEASE.jar;%APP_HOME%\lib\hibernate-validator-5.3.5.Final.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\snakeyaml-1.17.jar;%APP_HOME%\lib\tomcat-embed-websocket-8.5.23.jar;%APP_HOME%\lib\tomcat-embed-core-8.5.23.jar;%APP_HOME%\lib\tomcat-embed-el-8.5.23.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.1.Final.jar;%APP_HOME%\lib\classmate-1.3.4.jar;%APP_HOME%\lib\groovy-2.4.12.jar;%APP_HOME%\lib\ognl-3.0.8.jar;%APP_HOME%\lib\javassist-3.21.0-GA.jar;%APP_HOME%\lib\unbescape-1.1.0.RELEASE.jar;%APP_HOME%\lib\tomcat-annotations-api-8.5.23.jar

@rem Execute ITLINE_PRO
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %ITLINE_PRO_OPTS%  -classpath "%CLASSPATH%" info.itline.bankservice.web.ApplicationKt %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable ITLINE_PRO_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%ITLINE_PRO_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
